%define name automake
%define version 1.4
%define prefix %{_prefix}

Summary: A GNU tool for automatically creating Makefiles.
Name: %{name}
Version: %{version}
Release: 8mdk
Copyright: GPL
Group: Development/Other
Source: ftp://ftp.cygnus.com/pub/home/tromey/%{name}-%{version}.tar.bz2
Patch0: automake-1.4-19980208.patch.bz2
Patch1: automake-1.4-armnetwinder.patch.bz2
URL: http://sourceware.cygnus.com/automake
Requires: perl
Prereq: /sbin/install-info
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}

%description

Automake is a tool for automatically generating Makefiles compliant with the
GNU Coding Standards.

You should install Automake if you are developing software and would
like to use its capabilities of automatically generating GNU
standard Makefiles. If you install Automake, you will also need to
install GNU's Autoconf package.

%prep
%setup -q
# XXX don't apply development patch from CVS.
#%patch0 -p0 -b .19980208
%patch1 -p1 -b .armnetwinder

%build
#./configure --prefix=/usr

%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
bzip2 -9f $RPM_BUILD_ROOT/usr/info/automake*


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/automake.info.bz2 /usr/info/dir

%preun
if [ $1 = 0 ]; then
	/sbin/install-info --delete /usr/info/automake.info.bz2 /usr/info/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO
/usr/bin/*
/usr/info/automake*
/usr/share/*

%changelog
* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4-8mdk
- new groups

* Wed Oct 27 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Merge with Jeff package.

* Tue Jun 22 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 1.4 version.
- Merging with RedHat patch.

* Thu May 13 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- 1.4a

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- arm netwinder patch

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb  8 1999 Jeff Johnson <jbj@redhat.com>
- add patches from CVS for 6.0beta1

* Sun Jan 17 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.4.

* Mon Nov 23 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.3b.
- add URL.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to 1.3

* Tue Oct 28 1997 Cristian Gafton <gafton@redhat.com>
- added BuildRoot; added aclocal files

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- made it a noarch package

* Thu Oct 16 1997 Michael Fulbright <msf@redhat.com>
- Fixed some tag lines to conform to 5.0 guidelines.

* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>
- updated to 1.2

* Wed Mar 5 1997 msf@redhat.com <Michael Fulbright>
- first version (1.0)
